﻿@model FlightViewModel

@section Scripts {
            <script>
                window.onload = function() {
                    CheckItemsCount();
                };

                window.onscroll = function() {scrollFunction()};
            </script>
}

<section class="nav">
    <nav>
        <ul>
            <li><a asp-area="" asp-controller="Home" asp-action="Index"><img src="images/left sidebar.png" alt="Airline" /></a></li>
        </ul>
    </nav>
</section>

<section class="page-content">

    <h2>Flights</h2>

    <div class="line"></div>

    <section class="search-restore-form">
        <!-- Search form -->
        <partial name="_SearchForm" model="Model.SearchTerm" />

        <!-- Button to restore -->
        <form method="get" asp-action="Index">
            <button type="submit" class="btn btn-primary" class="restore-button">Restore All Airports</button>
        </form>
    </section>

    <!-- Filter form -->
    <partial name="_FilterForm" />

    @if (Model.Flights != null)
    {
        <div id="table-form" class="table-form">
        <!-- Pagination -->
        @if (TempData["TotalPages"] != null)
        {
            int totalPages = Convert.ToInt32(TempData["TotalPages"]);
            int currentPage = Model.PageNumber; 

            <div class="pagination">
                <!-- Button for previous page -->
                @if (currentPage > 1)
                {
                    <form method="get" asp-action="Index">
                        <input type="hidden" name="PageNumber" value="@(currentPage - 1)" />
                        <button type="submit">Previous</button>
                    </form>
                }

                @for (int i = 1; i <= totalPages; i++)
                {
                    <form method="get" asp-action="Index">
                        <input type="hidden" name="PageNumber" value="@i" />
                        <button type="submit" name="PageNumber" value="@i">@i</button>
                    </form>
                }

                <!-- Button for next page -->
                @if (currentPage < totalPages)
                {
                    <form method="get" asp-action="Index">
                        <input type="hidden" name="PageNumber" value="@(currentPage + 1)" />
                        <button type="submit">Next</button>
                    </form>
                }
            </div>
        }

        <!-- Table to present existing Flights -->
        <table id="table">
            <thead>
                <tr>
                    <th>Flight Number</th>
                    <th>From</th>
                    <th>To</th>
                    <th>Departure</th>
                    <th>Arrival</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var flight in Model.Flights)
                {
                    <tr>
                        <td>@flight.FlightNumber</td>
                        <td>@flight.DepartureAirport</td>
                        <td>@flight.ArrivalAirport</td>
                        <td>@flight.DepartureDateTime.ToString("dd/MM/yyyy HH:mm:ss")</td>
                        <td>@flight.ArrivalDateTime.ToString("dd/MM/yyyy HH:mm:ss")</td>
                    </tr>
                }
            </tbody>
        </table>
        </div>
    }
    else
    {
        <p>No airports available.</p>
    }

    <button id="showHideTableButton" class="show-form-button">Table</button>

    <!-- Form to create new Flight -->
    <section class="form">
        <form method="post" action="Flights/Create">
            <fieldset>
                <legend>Add New Flight</legend>
                <p id="demo" class="demo"></p>
                <div>
                    <label asp-for="NewFlight.FlightNumber"></label>
                    <input asp-for="NewFlight.FlightNumber" id="flight-flightNumber" oninput="validateFlightAndEnableButton()"/>
                    <span asp-validation-for="NewFlight.FlightNumber" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewFlight.DepartureAirport"></label>
                    <input asp-for="NewFlight.DepartureAirport" id="flight-departureAirport" oninput="validateFlightAndEnableButton()"/>
                    <span asp-validation-for="NewFlight.DepartureAirport" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewFlight.ArrivalAirport"></label>
                    <input asp-for="NewFlight.ArrivalAirport" id="flight-arrivalAirport" oninput="validateFlightAndEnableButton()"/>
                    <span asp-validation-for="NewFlight.ArrivalAirport" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewFlight.DepartureDateTime"></label>
                    <input asp-for="NewFlight.DepartureDateTime" type="datetime-local" id="flight-departureDateTime" oninput="validateFlightAndEnableButton()"/>
                    <span asp-validation-for="NewFlight.DepartureDateTime" class="text-danger"></span>
                </div>
                <div>
                    <label asp-for="NewFlight.ArrivalDateTime"></label>
                    <input asp-for="NewFlight.ArrivalDateTime" type="datetime-local" id="flight-arrivalDateTime" oninput="validateFlightAndEnableButton()"/>
                    <span asp-validation-for="NewFlight.ArrivalDateTime" class="text-danger"></span>
                </div>
                <button type="submit" class="submit-button" id="submit-button" disabled>Add Flight</button>
            </fieldset>
        </form>
    </section>

    <button id="go-up-button" class="hidden">Go Up</button>

</section>